<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>GtrackModuleInstance Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">GtrackModuleInstance Struct Reference<div class="ingroups"><a class="el" href="group___g_t_r_a_c_k___internal.html">Internals</a> &raquo; <a class="el" href="group___g_t_r_a_c_k___a_l_g___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">Internal Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>GTRACK Module instance structure.  
 <a href="struct_gtrack_module_instance.html#details">More...</a></p>

<p><code>#include &lt;gtrack_int.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ad3d61492f5f9d9bd911ee5d7d9bab1ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad3d61492f5f9d9bd911ee5d7d9bab1ca"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#ad3d61492f5f9d9bd911ee5d7d9bab1ca">maxNumPoints</a></td></tr>
<tr class="memdesc:ad3d61492f5f9d9bd911ee5d7d9bab1ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of measurement points per frame. <br /></td></tr>
<tr class="separator:ad3d61492f5f9d9bd911ee5d7d9bab1ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32dc0b95d29743980aa6e1195bf254c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32dc0b95d29743980aa6e1195bf254c3"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#a32dc0b95d29743980aa6e1195bf254c3">maxNumTracks</a></td></tr>
<tr class="memdesc:a32dc0b95d29743980aa6e1195bf254c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of Tracking objects. <br /></td></tr>
<tr class="separator:a32dc0b95d29743980aa6e1195bf254c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b8ffb6218f7fc7f2f6d5e9899d3deab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b8ffb6218f7fc7f2f6d5e9899d3deab"></a>
<a class="el" href="struct_tracking_params.html">TrackingParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#a7b8ffb6218f7fc7f2f6d5e9899d3deab">params</a></td></tr>
<tr class="memdesc:a7b8ffb6218f7fc7f2f6d5e9899d3deab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tracking Unit Parameters. <br /></td></tr>
<tr class="separator:a7b8ffb6218f7fc7f2f6d5e9899d3deab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03fc4aea398d4ca195cb3eaee9ea4d01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03fc4aea398d4ca195cb3eaee9ea4d01"></a>
uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#a03fc4aea398d4ca195cb3eaee9ea4d01">heartBeat</a></td></tr>
<tr class="memdesc:a03fc4aea398d4ca195cb3eaee9ea4d01"><td class="mdescLeft">&#160;</td><td class="mdescRight">TimeStamp. <br /></td></tr>
<tr class="separator:a03fc4aea398d4ca195cb3eaee9ea4d01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf04a0ede37444c04bde05c936de9666"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf04a0ede37444c04bde05c936de9666"></a>
uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#aaf04a0ede37444c04bde05c936de9666">verbose</a></td></tr>
<tr class="memdesc:aaf04a0ede37444c04bde05c936de9666"><td class="mdescLeft">&#160;</td><td class="mdescRight">verboseness Mask <br /></td></tr>
<tr class="separator:aaf04a0ede37444c04bde05c936de9666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84c4bc0e2c07427a6ca4e0ebd50bdc05"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a84c4bc0e2c07427a6ca4e0ebd50bdc05"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#a84c4bc0e2c07427a6ca4e0ebd50bdc05">bestScore</a></td></tr>
<tr class="memdesc:a84c4bc0e2c07427a6ca4e0ebd50bdc05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Array of best scores. <br /></td></tr>
<tr class="separator:a84c4bc0e2c07427a6ca4e0ebd50bdc05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a141be453375e46e9f464494bfaac0ee7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a141be453375e46e9f464494bfaac0ee7"></a>
uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#a141be453375e46e9f464494bfaac0ee7">bestIndex</a></td></tr>
<tr class="memdesc:a141be453375e46e9f464494bfaac0ee7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Array of best score authors (UIDs) <br /></td></tr>
<tr class="separator:a141be453375e46e9f464494bfaac0ee7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51aea984623b2cb71c2d454e976cc258"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51aea984623b2cb71c2d454e976cc258"></a>
uint16_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#a51aea984623b2cb71c2d454e976cc258">allocIndex</a></td></tr>
<tr class="memdesc:a51aea984623b2cb71c2d454e976cc258"><td class="mdescLeft">&#160;</td><td class="mdescRight">Temporary Array of measurement indices for set-under-construction. <br /></td></tr>
<tr class="separator:a51aea984623b2cb71c2d454e976cc258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953837dcd92a9a30e18ac136ebdfab89"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a953837dcd92a9a30e18ac136ebdfab89"></a>
void **&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#a953837dcd92a9a30e18ac136ebdfab89">hTrack</a></td></tr>
<tr class="memdesc:a953837dcd92a9a30e18ac136ebdfab89"><td class="mdescLeft">&#160;</td><td class="mdescRight">Array of Tracking Unit handles. <br /></td></tr>
<tr class="separator:a953837dcd92a9a30e18ac136ebdfab89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abae13941b0030dd66128ca1e4a2691f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abae13941b0030dd66128ca1e4a2691f4"></a>
<a class="el" href="struct_g_track___list_obj.html">GTrack_ListObj</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#abae13941b0030dd66128ca1e4a2691f4">activeList</a></td></tr>
<tr class="memdesc:abae13941b0030dd66128ca1e4a2691f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of currently active Tracking Units (UIDs) <br /></td></tr>
<tr class="separator:abae13941b0030dd66128ca1e4a2691f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a405a6f0ec48abe21a67ad1a60278dc23"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a405a6f0ec48abe21a67ad1a60278dc23"></a>
<a class="el" href="struct_g_track___list_obj.html">GTrack_ListObj</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#a405a6f0ec48abe21a67ad1a60278dc23">freeList</a></td></tr>
<tr class="memdesc:a405a6f0ec48abe21a67ad1a60278dc23"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of Free Tracking Units (UIDs) <br /></td></tr>
<tr class="separator:a405a6f0ec48abe21a67ad1a60278dc23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4907e7c32c24fd796af94a8e5163b63"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4907e7c32c24fd796af94a8e5163b63"></a>
<a class="el" href="gtrack__listlib_8h.html#a65f0aa4cc908b6f3fbac3ef2f12e6185">GTrack_ListElem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#ab4907e7c32c24fd796af94a8e5163b63">uidElem</a></td></tr>
<tr class="memdesc:ab4907e7c32c24fd796af94a8e5163b63"><td class="mdescLeft">&#160;</td><td class="mdescRight">Array of UID elements. <br /></td></tr>
<tr class="separator:ab4907e7c32c24fd796af94a8e5163b63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac72c12a35cc841f79e9d557518be8da3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac72c12a35cc841f79e9d557518be8da3"></a>
<a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#ac72c12a35cc841f79e9d557518be8da3">targetDesc</a></td></tr>
<tr class="memdesc:ac72c12a35cc841f79e9d557518be8da3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Array of Target descriptors. <br /></td></tr>
<tr class="separator:ac72c12a35cc841f79e9d557518be8da3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd3f22fb26c6c4d126aa30e3ecdd9499"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd3f22fb26c6c4d126aa30e3ecdd9499"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#acd3f22fb26c6c4d126aa30e3ecdd9499">targetNumTotal</a></td></tr>
<tr class="memdesc:acd3f22fb26c6c4d126aa30e3ecdd9499"><td class="mdescLeft">&#160;</td><td class="mdescRight">Total number of tracked targets. <br /></td></tr>
<tr class="separator:acd3f22fb26c6c4d126aa30e3ecdd9499"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6692d67ef77a991a2dffd3de4e16e977"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6692d67ef77a991a2dffd3de4e16e977"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html#a6692d67ef77a991a2dffd3de4e16e977">targetNumCurrent</a></td></tr>
<tr class="memdesc:a6692d67ef77a991a2dffd3de4e16e977"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of currently tracked Targets. <br /></td></tr>
<tr class="separator:a6692d67ef77a991a2dffd3de4e16e977"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>GTRACK Module instance structure. </p>
<p>The structure describes the GTRACK module instance </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="gtrack__int_8h.html">gtrack_int.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
